%global pypi_name pulp-ansible
%global commitId 2fb07f43561940ad78b5eda2cc1839279f42badc

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        0.20.5
Release:        1%{?dist}
Epoch:          1
Summary:        Pulp plugin to manage Ansible content, e.g. roles

License:        GPLv2+
URL:            https://github.com/pulp/pulp_ansible
Source0:        python-pulp-ansible-2fb07f43561940ad78b5eda2cc1839279f42badc.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools >= 40.8.0
BuildRequires:  python%{python3_pkgversion}-wheel >= 0.29.0

%global _description \
A Pulp plugin to support hosting Role and Collection Ansible content.

%description
%{_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

Requires:       python%{python3_pkgversion}-async-lru >= 1.0
Requires:       python%{python3_pkgversion}-async-lru < 2.1
Requires:       python%{python3_pkgversion}-galaxy-importer >= 0.4.5
Conflicts:      python%{python3_pkgversion}-galaxy-importer >= 0.5
Requires:       python%{python3_pkgversion}-gitpython >= 3.1.24
Conflicts:      python%{python3_pkgversion}-gitpython >= 3.2
Requires:       python%{python3_pkgversion}-jsonschema >= 4.9
Conflicts:      python%{python3_pkgversion}-jsonschema >= 4.21
Requires:       python%{python3_pkgversion}-pillow >= 7.0
Requires:       python%{python3_pkgversion}-pillow < 10.3
Requires:       python%{python3_pkgversion}-pulpcore >= 3.25.0
Requires:       python%{python3_pkgversion}-pulpcore < 3.40
Requires:       python%{python3_pkgversion}-pyyaml >= 5.4.1
Requires:       python%{python3_pkgversion}-pyyaml < 7.0
Requires:       python%{python3_pkgversion}-semantic-version >= 2.9
Requires:       python%{python3_pkgversion}-semantic-version < 2.11

Provides:       pulpcore-plugin(ansible) = %{version}
Obsoletes:      python3-%{pypi_name} < %{epoch}:%{version}-%{release}
%if 0%{?rhel} == 8
Obsoletes:      python38-%{pypi_name} < %{epoch}:%{version}-%{release}
%endif

%description -n python%{python3_pkgversion}-%{pypi_name}
%{_description}

%prep
set -ex
%autosetup -n python-%{pypi_name}-%{commitId}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
set -ex
%py3_build

%install
set -ex
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/pulp_ansible
%{python3_sitelib}/pulp_ansible-%{version}*-py%{python3_version}.egg-info

%changelog
* Thu Apr 11 2024 Satoe Imaishi <simaishi@redhat.com> - 1:0.20.5-1
- Update to 0.20.5

* Wed Jan 24 2024 Satoe Imaishi <simaishi@redhat.com> - 1:0.20.3-1
- Update to 0.20.3

* Tue Oct 03 2023 Satoe Imaishi <simaishi@redhat.com> - 1:0.17.5-1
- Update to 0.17.5

* Thu Sep 14 2023 Satoe Imaishi <simaishi@redhat.com> - 1:0.17.4-1
- Update to 0.17.4

* Wed Apr 12 2023 Satoe Imaishi <simaishi@redhat.com> - 1:0.17.0-1
- Update to 0.17.0

* Thu Oct 13 2022 Satoe Imaishi <simaishi@redhat.com> - 1:0.15.0-1
- Initial Build
